Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456336 - missing geoip entry in default conf file
Summary: missing geoip entry in default conf file
Keywords:
Status: CLOSED DUPLICATE of bug 439087
Alias: None
Product: Fedora
Classification: Fedora
Component: milter-greylist
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 22:44 UTC by Xavier Bachelot
Modified: 2009-03-13 22:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:41:09 UTC


Attachments (Terms of Use)
spec file patch to add a geoip entry to the default conf (deleted)
2008-10-30 16:39 UTC, Xavier Bachelot
no flags Details | Diff

Description Xavier Bachelot 2008-07-22 22:44:09 UTC
Description of problem:
milter-greylist is built with GeoIP support, however the default conf file
doesn't have a geoip entry. This causes error messages to be thrown in the logs,
even if geoip is not actually used by milter-greylist.

Version-Release number of selected component (if applicable):
milter-greylist-4.0-0.2.rc1.fc8

How reproducible:
Always

Steps to Reproduce:
1. install milter-greylist
2. do basic configuration
3. start milter-greylist
  
Actual results:
/var/log/maillog receives some "milter-greylist: GeoIP is not available" errors.

Expected results:
milter-greylist runs quietly.

Additional info:
Just adding the following line to /etc/mail/greylist.conf fixes the problem :
geoipdb "/usr/share/GeoIP/GeoIP.dat"

Comment 1 Xavier Bachelot 2008-10-30 16:39:47 UTC
Created attachment 321959 [details]
spec file patch to add a geoip entry to the default conf

Comment 2 Xavier Bachelot 2008-10-30 16:41:25 UTC
Hi,
any news ? I've attached a spec file patch adding the missing entry to the default conf.

Regards,
Xavier

Comment 3 Bug Zapper 2008-11-26 11:01:48 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-01-09 06:41:09 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Xavier Bachelot 2009-03-13 22:25:19 UTC

*** This bug has been marked as a duplicate of bug 439087 ***


Note You need to log in before you can comment on or make changes to this bug.